#ifndef ING_FILE_LOCK_H
#define ING_FILE_LOCK_H

#include <string>

namespace Ing
{

//simple class provides locking via fcntl
class FileLock
{
public:
	enum access_mode {SHARED, EXCLUSIVE, NO_LOCK};

	explicit
	FileLock(const std::string& path, access_mode mode);
	~FileLock();
private:
	int	lock_fd;
	std::string	filename;
};

};


#endif
