/* libing - collection of usefull objects
(c) 2002,2003
Stanislav Ievlev <inger@altlinux.org>
*/

#ifndef ING_HELPERS_H
#define ING_HELPERS_H

#include <map>
#include <string>
#include <sstream>

#include <sys/stat.h>
#include <grp.h>
#include <pwd.h>

namespace Ing
{

//basic hash types
typedef std::map<std::string, bool> bool_list;
typedef std::map<std::string, int> int_list;
typedef std::map<std::string, std::string> string_list;
typedef std::map<int, std::string> string_vector;

//helper functions
std::string unslash(const std::string& str);
std::string encode(const std::string& str,char symbol, bool slash_mask = false);
std::string decode(const std::string& str,char symbol, bool slash_mask = false);

};

#endif
